image: alpine:latest

variables:
  BROWSER: "chrome"


stages:
  - smoke
  - fun
  - perf
  - deploy

st:
  stage: smoke
  script:
  - echo 'toto nic neurobi'

# Toto je moj super job na API testy
ft-api:
  stage: fun
  image:
    name: postman/newman
    entrypoint: [""]
  script:
  - npm install -g newman-reporter-htmlextra
  - newman run ./tests/api/cool_api_test.json -g ./tests/api/globals.json -r htmlextra --insecure
  artifacts:
    paths:
      - newman
    when: always

ft-ui:
  stage: fun
  image: python:latest
  variables:
    REPORT_DIR: "./cokolvek"
    URL: "https://marcel.veselka.gitlab.io/ctws-dec"
    CONTAINER: "selenium/standalone-$BROWSER"
    HOST: "http://selenium__standalone-$BROWSER:4444/wd/hub"
  services:
    - name: $CONTAINER
  script:
    # - python -m pip install --upgrade pip
    - pip install -r ./tests/fun-rf/requirements.txt
    - >
      robot 
      --variable URL:$URL 
      --variable HOST:$HOST 
      --variable BROWSER:$BROWSER 
      --outputdir $REPORT_DIR 
      ./tests/fun-rf/*.robot
  artifacts:
    paths:
      - $REPORT_DIR
    expire_in: 1 week
    when: always

pf:
  stage: perf
  script:
  - echo 'toto nic neurobi'

pages:
  stage: deploy
  script:
  - echo 'Nothing to do...'
  artifacts:
    paths:
    - public
  only:
  - master
